# Prints the name of the first child of currrent vehicle's hierarchy root (when pressing 7)

import mbase
import mrw
import mped

import xkeypress

keyMonitor = xkeypress.KeyPressMonitor()

def eventFrame():
    global keyMonitor
    
    keyMonitor.processKeys()
    
def checkRenderware(argument):
    vehicle = mped.getPedVehicle(mped.getPlayerPed())
    clump = mrw.getEntityObject(vehicle) if vehicle else None
    frame = mrw.getClumpFrame(clump) if clump else None
    name = mrw.getFrameName(frame) if frame else "none"
    
    if frame:
        subframe = mrw.getFrameFirstChild(frame)
        
        if subframe:
            mbase.setHudMessage(0, mrw.getFrameName(subframe) if frame else "none");
        else:
            mbase.setHudMessage(0, str(subframe))
    
keyMonitor.registerCombination([55], checkRenderware, None, None)

mbase.registerCallback("eventFrame", eventFrame)
