# Switches vehicle taxi lights on and off depending on time and weather
# Ported from an SCM script by ural and Shaggy

import mbase
import mped
import ment
import mveh
import mworld

def taxiLightHandler():
    if (mbase.getFrameCount() % 10) != 0: return
    
    curTime = mworld.getTime()
    
    if curTime[0] > 19 or curTime[0] < 5 or mworld.getWeather() in [2, 3]:
        taxiLightsEnabled = True
    else:
        taxiLightsEnabled = False
    
    vehicleList = ment.findEntitiesInRange("vehicle", ment.getEntPosition(mped.getPlayerPed()), 150)
    
    for vehicle in vehicleList:
        if mveh.getVehModelAIType(ment.getEntModelIndex(vehicle)) == "taxi":
            mveh.setCarTaxiLightState(vehicle, taxiLightsEnabled)

mbase.registerCallback("eventFrame", taxiLightHandler)
