# Sets the health of peds to 0 if they are very close to the player

import mbase
import mped
import ment
import mveh
import mworld

def frameProcessor():
    if (mbase.getFrameCount() % 30) != 0: return
    
    player = mped.getPlayerPed()
    pedList = ment.findEntitiesInRange("ped", ment.getEntPosition(player), 5)
    
    for ped in pedList:
        if ped != player:
            mped.setPedHealth(ped, 0)

mbase.registerCallback("eventFrame", frameProcessor)
