# Blows up law enforcement vehicles if they're close to the player and sets cops on fire

import mbase
import mped
import ment
import mveh
import mworld

def frameProcessor():
    if (mbase.getFrameCount() % 5) != 0: return
    
    player = mped.getPlayerPed()
    pedList = ment.findEntitiesInRange("ped", ment.getEntPosition(player), 10)
    
    for ped in pedList:
        if ment.getEntModelIndex(ped) == 1:
            mworld.startFireOnEntity(ped, None)
            
    vehicleList = ment.findEntitiesInRange("vehicle", ment.getEntPosition(player), 15)
    
    for vehicle in vehicleList:
        if mveh.getVehModelAIType(ment.getEntModelIndex(vehicle)) in ["police", "fbi", "vice", "swat", "tank", "barracks"]:
            if mveh.getVehicleHealth(vehicle) > 0:
                mveh.blowVehicleUp(vehicle, None)

mbase.registerCallback("eventFrame", frameProcessor)
