import mscm
import manim
import mveh
import mbase

def scmPedPlayAnimation(ped, groupId, animId):
	manim.blendPedAnimation(ped, manim.getStockAnimation(groupId, animId), 1)
	
def scmGetTuningPartCount(modelIndex):
	return mveh.getTuningPartCount(modelIndex)
	
def scmGetTuningPartVarCount(modelIndex, partIndex):
	return mveh.getTuningPartVarCount(modelIndex, partIndex)
	
def scmGetVehUsedTuningPart(vehicle, partIndex):
	return mveh.getVehUsedTuningPart(vehicle)
	
def scmSetVehUsedTuningPart(vehicle, partIndex, varIndex):
	mveh.setVehUsedTuningPart(vehicle, partIndex, varIndex)
	
def scmReturnMultipleValues():
	return 1, 2, 3.5

mscm.registerHandler(0x850, scmPedPlayAnimation, "Pii")
mscm.registerHandler(0x851, scmGetTuningPartCount, "i")
mscm.registerHandler(0x852, scmGetTuningPartVarCount, "ii")
mscm.registerHandler(0x853, scmGetVehUsedTuningPart, "Vi")
mscm.registerHandler(0x854, scmSetVehUsedTuningPart, "Vii")

mscm.registerHandler(0x860, scmReturnMultipleValues, "")